GCXONEDokumentation

Analytik

Auf dieser Seite
  1. POST /analytics/detect
  2. Anfragekörper
  3. Antworten
  4. POST /analytics/manage
  5. Anfragekörper
  6. Antworten
  7. POST /analytics/schedule
  8. Anfragekörper
  9. Antworten
  10. POST /analytics/update
  11. Anfragekörper
  12. Antworten

Operationen an Analytik-Ressourcen. 4 Endpunkte, jeweils relativ zu https://api.nxgen.cloud/api/v1 und authentifiziert wie unter Authentifizierung.

POST /analytics/detect

KI Analytik Service

Anfragekörper

Analytik-Anfrageparameter

json
{
  "analytics": "string",
  "version": "string",
  "routeName": "string",
  "meta": {
    "useDeviceMetadataBoxes": "boolean",
    "useObjectDetector": "boolean",
    "useMotionDetection": "boolean",
    "useLicensePlateDetection": "boolean",
    "useFaceRecognition": "boolean",
    "personConfidenceThreshold": "number",
    "carConfidenceThreshold": "number",
    "animalConfidenceThreshold": "number",
    "licensePlateConfidenceThreshold": "number",
    "faceConfidenceThreshold": "number",
    "motionThreshold": "integer",
    "motionMinBBoxWidth": "integer",
    "motionMinBBoxHeight": "integer",
    "modality": "string",
    "roi": [
      [
        "integer"
      ]
    ],
    "useHistogramEqualization": "boolean",
    "saveDebugImages": "boolean",
    "carMinArea": "integer",
    "personMinArea": "integer",
    "animalMinArea": "integer",
    "licensePletMinArea": "integer",
    "faceMinArea": "integer"
  },
  "frames": [
    {
      "imageUrl": "string",
      "meta": {
        "deviceMetadataBoxes": [
          ""
        ]
      }
    }
  ]
}

Antworten

Status

Beschreibung

Inhalt

200

Erfolg

204

Kein Inhalt

401

Nicht autorisiert

403

Verboten

404

Nicht gefunden

Beispiel 200 Antwort:

json
{
  "dataResult": [
    {
      "eventid": "",
      "personConfidenceThreshold": 0.5,
      "carConfidenceThreshold": 0.5,
      "animalConfidenceThreshold": 0.5,
      "hasPerson": true,
      "hasCar": true,
      "hasAnimal": false,
      "full_frame_detections": [
        {
          "x": 1289,
          "y": 189,
          "width": 235,
          "height": 543,
          "frameIdx": 1,
          "confidence": 0.99912816,
          "label": "person"
        },
        {
          "x": 6,
          "y": 316,
          "width": 440,
          "height": 369,
          "frameIdx": 1,
          "confidence": 0.9997342,
          "label": "car"
        },
        {
          "x": 8,
          "y": 317,
          "width": 436,
          "height": 368,
          "frameIdx": 2,
          "confidence": 0.9997941,
          "label": "car"
        }
      ],
      "device_bboxes": [],
      "motion_locations": []
    }
  ],
  "totalRecordsCount": 15
}

POST /analytics/manage

Zeitplan entfernen

Anfragekörper

Analytik-Anfrageparameter

json
{
  "type": "string (required)",
  "action": "string",
  "oldExpression": "string (required)",
  "newExpression": "string",
  "spid": "string",
  "hierarchyLevel": "string",
  "hierarchyIds": [
    "string"
  ]
}

Antworten

Status

Beschreibung

Inhalt

200

Erfolg

204

Kein Inhalt

401

Nicht autorisiert

POST /analytics/schedule

Konfiguration Schedule

Anfragekörper

Analytik Anfrageparameter

json
{
  "type": "string",
  "action": "string (required)",
  "spid": "string (required)",
  "hierarchyIds": [
    "string"
  ],
  "hierarchyLevel": "string (required)",
  "expression": "string"
}

Antworten

Status

Beschreibung

Inhalt

200

Erfolg

204

Kein Inhalt

401

Nicht autorisiert

POST /analytics/update

Aktualisierungsplan

Anfragekörper

Analytik Anfrageparameter

json
{
  "entityType": "string",
  "entityId": "string",
  "serviceProviderId": "string",
  "analyticType": "string",
  "oldExpression": "string",
  "newExpression": "string",
  "isActive": "boolean",
  "overwriteCustomSchedule": "string",
  "analyticAction": "string",
  "runOnce": "boolean"
}

Antworten

Status

Beschreibung

Inhalt

200

Erfolg

204

Kein Inhalt

401

Nicht autorisiert

Beispiel 200 Antwort:

json
{
  "isSuccess": true
}
War diese Seite hilfreich?

Vielen Dank — Ihr Feedback geht an das Team, das diese Seite betreut.